org.apache.sling.testing.tools.junit

## Class TestDescriptionInterceptor

- java.lang.Object
- - org.apache.sling.testing.tools.junit.TestDescriptionInterceptor

All Implemented Interfaces:
  org.apache.http.HttpRequestInterceptor

    public class TestDescriptionInterceptor
    extends Object
    implements org.apache.http.HttpRequestInterceptor

HttpClient interceptor that propagates the current test name as part HTTP request headers. Headers can then be logged, exported as MDC info etc. by `TestNameLoggingFilter`. Meant to help in correlating the server side logs with the test case being executed.

See Also:
  `http://www.slf4j.org/manual.html`

### Constructor Summary

Constructors
Constructor and Description
`TestDescriptionInterceptor()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `process(org.apache.http.HttpRequest httpRequest, org.apache.http.protocol.HttpContext httpContext)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TestDescriptionInterceptor

    public TestDescriptionInterceptor()

### Method Detail

#### process

    public void process(org.apache.http.HttpRequest httpRequest,
                        org.apache.http.protocol.HttpContext httpContext)
                 throws org.apache.http.HttpException,
                        IOException

Specified by:
  `process` in interface `org.apache.http.HttpRequestInterceptor`
Throws:
  `org.apache.http.HttpException`
  `IOException`